Bug 129732 - No match for USB device: mfr "Hewlett-Packard" model "HP LaserJet 2200"
No match for USB device: mfr "Hewlett-Packard" model "HP LaserJet 2200"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 05:23 EDT by Luke Hutchison
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.0.1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 13:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2004-08-12 05:23:58 EDT
Description of problem:
I get the following when autodetecting my printer using "Rescan
devices" in system-config-printer:

No match for USB device:  mfr "Hewlett-Packard"  model "HP LaserJet
2200"  desc "Hewlett-Packard LaserJet 2200"  cmdset
"PJL,MLC,PCL,PCLXL,POSTSCRIPT"Please report this message in Bugzilla:
 https://bugzilla.redhat.com/bugzillaChoose 'foomatic' as the component.

However there is definitely a LaserJet 2200 listed under "HP" in the
"Printer driver" tab.

I also have problems with the printer periodically saying it is not
ready to print (that /dev/usb/lp1 cannot be found).  (I have an HP
DeskJet on lp0.)  Re-running system-config-printer, re-scanning the
devices and/or re-selecting the driver seems to always fix the problem.

Version-Release number of selected component (if applicable):
foomatic-3.0.1-9

How reproducible:
Most times I boot my machine, occasionally after one successful print run.
Comment 1 Luke Hutchison 2004-08-12 05:29:54 EDT
Actually, now that I think about it, I sometimes need to switch the
printer to use /dev/usb/lp0 (which it is not hooked to) then back to
/dev/usb/lp1 to fix the problem.

Curiously, even after switching the printer to /dev/usb/lp0, the same
error state is displayed: 'Unable to open USB device
"usb:/dev/usb/lp1"', which is the old device.

Switching it back again to lp1 sometimes works, but has actually hung
cups a couple of times.
Comment 2 Tim Waugh 2004-08-13 13:04:16 EDT
Added this autodetect information to CVS.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.